interface Stroke {
    character: string;
    pause: number;
}
interface GenerateStrokes {
    message: string;
    pauseMin?: number;
    pauseMax?: number;
}
export declare const generateStrokes: ({ message, pauseMin, pauseMax }: GenerateStrokes) => Stroke[];
interface SimulateTyping extends GenerateStrokes {
    onCharacter({ character, message }: {
        character: string;
        message: string;
    }): void;
}
export declare const simulateTyping: ({ message, onCharacter, pauseMin, pauseMax }: SimulateTyping) => Promise<string>;
export {};
