"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rand_1 = require("../rand");
var repeat_1 = require("./repeat");
describe("#repeat", function () {
    beforeAll(function () { return rand_1.initRand("seed"); });
    test("repeats x", function () {
        var output = new Array(20)
            .fill(undefined)
            .map(function () { return repeat_1.repeat("x"); })
            .map(function (x) { return x.length; });
        expect(output).toEqual([
            5,
            5,
            10,
            8,
            5,
            7,
            5,
            6,
            9,
            5,
            2,
            5,
            7,
            4,
            4,
            4,
            8,
            6,
            2,
            4
        ]);
    });
});
